<?PHP

  require_once("OGoContact.inc");
  
///////////////////////////////////////////
/// Class: OGoPersonManager
///////////////////////////////////////////

class OGoPersonManager extends OGoManager {
  function OGoPersonManager($server) {
    $this->OGoManager($server);
   }
   
  function constructResult($values) {
    $result = array();
    return new OGoPerson($this, $values);
   }

  function constructResults($values) {
    $result = array();
    for($i = 0; $i < count($values); $i++) {
      array_push($result, new OGoPerson($this, $values[$i]));
     }
    return $result;
   }
   
  function getById($id) {
    list($result, $values) = $this->xmlrpcCallMethod("person.getById", 
      array(new xmlrpcval($id, "string")));
    if ($result) 
      return current($this->constructResults($values));
     else 
       $this->managerError($values);
   }  	
   
  function getByNumber($number) {
    list($result, $values) = $this->xmlrpcCallMethod("person.getByNumber", 
      array(new xmlrpcval($number, "string")));
    if ($result) 
      return $this->constructResult($values);
     else 
       $this->managerError($values);
   }  	
  	
 } 

//////////////////////////////////////////////
/// Class: OGoPerson
//////////////////////////////////////////////
class OGoPerson extends OGoContact {
	
  function OGoPerson($manager, $value) {
  	$this->OGoContact($manager, $value);
   }
   
  function getBirthDate($format = "d F Y (D)") {
  	if (strlen($this->values["birthday"]) > 0)
      return date($format, iso8601_decode($this->values["birthday"]) - $this->timeZoneAdj);
     else 
       return "";    
  } 
  
  function getISOBirthDate() {
    return $this->values["birthday"];
  }
  
 function getComment() {
   return $this->values["comment"];
 }
  
  function getDegree() {
    return $this->values["degree"];
  }
  
  function getGivenName() {
    return $this->values["firstname"];
  }
  
  function getIsAccount() {
  	return $this->values["isAccount"];
   }
   
  function getIsPrivate() {
    return $this->values["isPrivate"];
   }
   
  function getKeywords() {
    return $this->values["keywords"];
   }
   
  function getLogin() {
    return $this->values["login"];
  }
  
  function getMiddleName() {
    return $this->values["middlename"];
  }
  
  function getCN() {
    return $this->values["firstname"] . " " . $this->values["name"];
  }
  
  function getDisplayName() {
    return $this->values["nickname"];
  }
  
  function getOwnerId() {
    return $this->values["owner"]["id"];
  }
  
  function getOwnerLogin() {
    return $this->values["owner"]["login"];
  }
  
  function getSalutation() {
    return $this->values["salutation"];
  }
  
  ////// ADDRESSES //////
  
 function hasAddressType($type) {
   return isset($this->values["addresses"][$type]);
  }
  
 function getAddress($type) {
   return new OGoAddress($this, $type);
 }
 
 //// PHONE NUMBERS ////
 function hasPhoneNumber($type) {
   return isset($this->values["phones"][$type]);
  }
  
 function getPhoneNumber($type) {
   return new OGoPhoneNumber($this, $type);
  }
  
}

?>
